Get brands
curl --request GET \
--url https://api.trakkr.ai/get-brands \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trakkr.ai/get-brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trakkr.ai/get-brands"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"brands": [
{
"id": "0000000000000x000000000000000000",
"name": "Acme Corporation"
},
{
"id": "0000000000000x000000000000000001",
"name": "TechStart Inc"
},
{
"id": "0000000000000x000000000000000002",
"name": "Global Finance Co"
}
]
}{
"error": "UNAUTHORIZED",
"message": "Missing API key",
"errors": [
"API key must be provided in the Authorization header as 'Bearer <api_key>'"
],
"timestamp": "2025-01-15T12:30:00Z",
"request_id": "req_1234567890"
}{
"error": "FORBIDDEN",
"message": "Invalid API key",
"errors": [
"No accounts found for this API key"
],
"timestamp": "2025-01-15T12:30:00Z",
"request_id": "req_1234567890"
}{
"error": "RATE_LIMIT_EXCEEDED",
"message": "API rate limit exceeded. Please try again later.",
"timestamp": "2025-01-15T12:30:00Z",
"request_id": "req_1234567890"
}{
"error": "INTERNAL_ERROR",
"message": "An unexpected error occurred",
"errors": [
"An unexpected error occurred: Database connection failed"
],
"timestamp": "2025-01-15T12:30:00Z",
"request_id": "req_1234567890"
}API Reference
Get brands
Retrieve list of brands accessible to your API key
GET
/
get-brands
Get brands
curl --request GET \
--url https://api.trakkr.ai/get-brands \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trakkr.ai/get-brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trakkr.ai/get-brands"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"brands": [
{
"id": "0000000000000x000000000000000000",
"name": "Acme Corporation"
},
{
"id": "0000000000000x000000000000000001",
"name": "TechStart Inc"
},
{
"id": "0000000000000x000000000000000002",
"name": "Global Finance Co"
}
]
}{
"error": "UNAUTHORIZED",
"message": "Missing API key",
"errors": [
"API key must be provided in the Authorization header as 'Bearer <api_key>'"
],
"timestamp": "2025-01-15T12:30:00Z",
"request_id": "req_1234567890"
}{
"error": "FORBIDDEN",
"message": "Invalid API key",
"errors": [
"No accounts found for this API key"
],
"timestamp": "2025-01-15T12:30:00Z",
"request_id": "req_1234567890"
}{
"error": "RATE_LIMIT_EXCEEDED",
"message": "API rate limit exceeded. Please try again later.",
"timestamp": "2025-01-15T12:30:00Z",
"request_id": "req_1234567890"
}{
"error": "INTERNAL_ERROR",
"message": "An unexpected error occurred",
"errors": [
"An unexpected error occurred: Database connection failed"
],
"timestamp": "2025-01-15T12:30:00Z",
"request_id": "req_1234567890"
}Was this page helpful?